package com.bonus.core.marketing.coupon.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("mkt_coupon_tmpl_detl_back")
@ApiModel("餐券模板明细备份表")
public class MktCouponTmplDetlBack extends Model<MktCouponTmplDetlBack> {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("餐券模板备份id")
   private Long backId;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("餐次id")
   private Long intervalId;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;

   public Long getId() {
      return this.id;
   }

   public Long getBackId() {
      return this.backId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setBackId(final Long backId) {
      this.backId = backId;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

}
